%define 	major 0
%define 	minor 9
Summary:	Libpcap provides promiscuous mode access to network interfaces
Name:		libpcap
Version:	0.9.4
Release:	2
License:	GPL
Group:		Libraries
URL:		http://www.tcpdump.org
Source0:	http://www.tcpdump.org/release/%{name}-%{version}.tar.gz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libpcap is a system-independent interface for user-level packet
capture. Libpcap provides a portable framework for low-level network
monitoring. Applications include network statistics collection,
security monitoring, network debugging, etc. Libpcap has
system-independent API that is used by several applications, including
tcpdump and arpwatch.

%package 	devel
Summary:	Header files and develpment documentation for libpcap
Group:		Development

%description 	devel
Libpcap provides a portable framework for low-level network
monitoring. Libpcap can provide network statistics collection,
security monitoring and network debugging. Since almost every system
vendor provides a different interface for packet capture, the libpcap
authors created this system-independent API to ease in porting and to
alleviate the need for several system-dependent packet capture modules
in each application.

Install libpcap if you need to do low-level network traffic monitoring
on your network.

%prep
%setup -q

%build
%configure \
	--with-pcap=linux \
	--enable-ipv6 \
	--disable-nls

make CC="gcc $RPM_OPT_FLAGS -fPIC"
gcc -Wl,-soname,libpcap.so.0 -shared -fpic -o libpcap.so.%{major}.%{minor} *.o

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
install -m755 libpcap.so.%{major}.%{minor} $RPM_BUILD_ROOT/usr/lib
cd $RPM_BUILD_ROOT/usr/lib
ln -s libpcap.so.%{major}.%{minor} libpcap.so.0
ln -s libpcap.so.%{major}.%{minor} libpcap.so
cd $RPM_BUILD_ROOT/usr/man/man3; ln -s pcap.3.gz libpcap.3.gz

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/lib/*.so.*
/usr/lib/*.so
/usr/man

%files devel
%defattr(-,root,root)
/usr/lib/*.a
/usr/include
/usr/man
